import { TitleComponent } from '../components';
import { Header } from '../containers';
import FormComponent, { FormComponentData } from '../containers/FormComponent';
import {
  createSpecialist,
  CreateSpecialistPayload,
} from '../services/specialist';
import colors from '../utils/colors';

function CadastroEspecialista() {
  const handleClick = (specialist: FormComponentData) => {
    console.log('handleclick cadastro');
    const mapSpecialist: CreateSpecialistPayload = {
      name: specialist.name,
      phone_number: specialist.phone,
      email: specialist.email,
      document: specialist.cpf,
      password: specialist.cpf,
      formation: '',
    };
    mapSpecialist.formation = specialist.formation || '';

    createSpecialist(mapSpecialist);
  };
  return (
    <div
      style={{ backgroundColor: colors.theme.background, minHeight: '100vh' }}
    >
      <Header text="Área do Coordenador" disableArrow enableLogout />
      <div style={{ margin: '2em', marginBottom: '0.1em' }}>
        <TitleComponent
          text="Cadastrar Especialista"
          textSize="1.75em"
          fontWeight="600"
        />
      </div>
      <FormComponent specialist onClickSubmit={handleClick} />
    </div>
  );
}

export default CadastroEspecialista;
