import TitleComponent from '../components/TitleComponent';
import { Header } from '../containers';
import FormComponent, { FormComponentData } from '../containers/FormComponent';
import { Teacher } from '../model/teacher';
import { createTeacher, CreateTeacherPayload } from '../services/teacher';
import colors from '../utils/colors';

const styles = {
  background: {
    background: colors.theme.background,
    minHeight: '100vh',
  },
  buttonsContainer: {
    flex: 1,
    display: 'flex',
    flexDirection: 'column' as const,
    alignItems: 'center',
    alignContent: 'center',
    margin: '2em',
    marginBottom: '0.1em',
  },
  buttonTitle: {
    mmargin: '2em',
    marginBottom: '0.1em',
  },
  wrap: {
    alignItems: 'center',
    textAlign: 'center' as const,
    display: 'flex',
  },
};

function CadastroProfessor() {
  const handleClick = (teacher: FormComponentData) => {
    console.log('handleclick cadastro');
    const mapTeacher: CreateTeacherPayload = {
      name: teacher.name,
      phone_number: teacher.phone,
      email: teacher.email,
      document: teacher.cpf,
      password: teacher.cpf,
      subject: '',
    };
    mapTeacher.subject = teacher.discipline || '';

    createTeacher(mapTeacher);
  };

  return (
    <div style={styles.background}>
      <Header text="Área do Coordenador" disableArrow enableLogout />
      <div style={styles.buttonsContainer}>
        <div style={styles.buttonTitle}>
          <TitleComponent
            text="Cadastrar Professor"
            textSize="1.75em"
            fontWeight="600"
          />
        </div>
        <FormComponent professor onClickSubmit={handleClick} />
      </div>
    </div>
  );
}

export default CadastroProfessor;
